#include<pcap.h>
#include<stdio.h>

#define ERR_NO_DEV 1
#define ERR_UNABLE_TO_OPEN 2
#define ERR_DATALINK 3


struct javacap_device {
	pcap_t *pd;
	char *device;	
	int datalink;
	int snaplen;
	char errbuf[500];
	int error;
	char *packet;
	struct pcap_pkthdr hdr;
};

struct javacap_device javacap_d0;

void javacap_init(char* device, bpf_u_int32 bufferSize);
void javacap_open(char* dev, int bufferSize);
void javacap_close();
char* javacap_read();
int javacap_setfilter(char *buf, bpf_u_int32 mask);
int javacap_getDroppedPackets();
int javacap_getReceivedPackets();
